profiler_node.h File Reference

Go to the source code of this file.

## Classes

class | __gnu_profile::__object_info_base
class | __gnu_profile::__stack_hash
class | __gnu_profile::__stack_info_base< __object_info >

## Namespaces

namespace | __gnu_profile

## Typedefs

typedef void * | __gnu_profile::__instruction_address_t
typedef const void * | __gnu_profile::__object_t
typedef std::::vector < __instruction_address_t > | __gnu_profile::__stack_npt
typedef __stack_npt * | __gnu_profile::__stack_t

## Functions

__stack_t | __gnu_profile::__get_stack ()
std::size_t | __gnu_profile::__size (__stack_t __stack)
std::size_t | __gnu_profile::__stack_max_depth ()
void | __gnu_profile::__write (FILE *__f, __stack_t __stack)

## Detailed Description

Data structures to represent a single profiling event.

Definition in file profiler_node.h.